Skip to Content
SeyloDocs
API referenceCron jobs

Get a cron run with its output

GET
/api/v1/cron.run

Returns one cron run with the last lines of its output (redacted on the node).

Needs services.logs on the service (a grant on its project covers it). Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

serviceId*string

Panel-issued id.

Match^[a-z0-9]{16}$
runId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
run*
command*string
output*string
truncated*boolean
Example Request
curl -X GET 'https://example.com/api/v1/cron.run?serviceId=string&runId=string'
Example Response
{  "run": {    "id": "string",    "cronJobId": "string",    "serviceId": "string",    "nodeId": "string",    "result": "running",    "manual": true,    "exitCode": 0,    "startedAt": "2019-08-24T14:15:22Z",    "finishedAt": "2019-08-24T14:15:22Z",    "durationMs": 0  },  "command": "string",  "output": "string",  "truncated": true}